Drupal is an open source content management platform supporting a variety of
websites ranging from personal weblogs to large community-driven websites. For
more information, visit the Drupal website, [Drupal.org][Drupal.org], and join
the [Drupal community][Drupal community].

# Survey using AI

The Survey module allows you to create surveys with multiple questions and answers, display them in a form, and view the results in a pie chart. The module integrates with OpenAI for generating responses based on your inputs.

# Installation and Configuration

Install the module:
Enable the module from the Extend page (/admin/modules).

Configure OpenAI Settings:
Navigate to admin/config/openai.
Add your OpenAI API key and Enter the required model.

## Creating Survey Content

Add Survey Content:
Go to Content > Add content > Survey Content.
Add your survey details.

Add Questions and Answers:
Within the survey content type, you can add questions.
Each question node will contain answers.

AI Integration:
Use the ‘Survey Type’ field to search for related questions and answers.
Make sure the correct API key and model are configured in the OpenAI settings.

Save the Survey:
Save your survey node.

Note : You can create multiple survey nodes for different survey forms.

## Displaying the Survey Form

Place the Survey Form Block:
Navigate to admin/structure/block.
Place the block named 'Survey Form Block' in the desired region.
Configure the block by selecting the survey node and entering the URL of the page where you want the form to be displayed.

Note : Now you can see the survey node in the form of FORM on desired URL and the FORM is ready to submit the results.

## Viewing Survey Results

Access Survey List:
Go to admin/content/survey-list.
Here, you will find a list of all created survey nodes.

## View Results:
Click on the survey node you want to check results for.
The results of each question will be displayed in pie chart form.


Important Notes:
Ensure that the OpenAI API key and model are correctly configured to utilize AI features.
The survey form and results visualization rely on the correct configuration of the block layout and permissions.

Support
For support and further assistance, please refer to the issue queue on the module’s Drupal.org project page.

## Maintainers

- Mansi Agarwal - [mansi-agarwal](https://www.drupal.org/u/mansi-agarwal)