(function ($, Drupal) {
  Drupal.behaviors.chartDrawer = {
    attach: function (context, settings) {
      console.log('Settings:', settings);
      if (settings.survey && settings.survey.charts) {
        if (!Drupal.behaviors.chartDrawer.charts) {
          Drupal.behaviors.chartDrawer.charts = {};
        }

        $.each(settings.survey.charts, function (canvasId, config) {
          console.log('Canvas ID:', canvasId);
          var ctx = document.getElementById(canvasId).getContext('2d');
          if (ctx) {
            if (Drupal.behaviors.chartDrawer.charts[canvasId]) {
              Drupal.behaviors.chartDrawer.charts[canvasId].destroy();
            }
            Drupal.behaviors.chartDrawer.charts[canvasId] = new Chart(ctx, config);
          } else {
            console.error('Canvas element not found:', canvasId);
          }
        });
      }
    }
  };
})(jQuery, Drupal);
